=== modified file 'Authors'
--- Authors	2011-05-05 19:38:45 +0000
+++ Authors	2011-05-06 18:12:33 +0000
@@ -81,4 +81,5 @@
 William Wolf <will.wolf@rackspace.com>
 Yoshiaki Tamura <yoshi@midokura.jp>
 Youcef Laribi <Youcef.Laribi@eu.citrix.com>
+Yuriy Taraday <yorik.sar@gmail.com>
 Zhixue Wu <Zhixue.Wu@citrix.com>

=== modified file 'nova/compute/manager.py'
--- nova/compute/manager.py	2011-05-02 19:23:11 +0000
+++ nova/compute/manager.py	2011-05-06 05:13:46 +0000
@@ -749,7 +749,8 @@
         instance_ref = self.db.instance_get(context, instance_id)
         LOG.audit(_("Get console output for instance %s"), instance_id,
                   context=context)
-        return self.driver.get_console_output(instance_ref)
+        output = self.driver.get_console_output(instance_ref)
+        return output.decode('utf-8', 'replace').encode('ascii', 'replace')
 
     @exception.wrap_exception
     def get_ajax_console(self, context, instance_id):

=== modified file 'nova/tests/test_cloud.py'
--- nova/tests/test_cloud.py	2011-04-12 07:48:21 +0000
+++ nova/tests/test_cloud.py	2011-05-05 03:50:58 +0000
@@ -290,7 +290,7 @@
         instance_id = rv['instancesSet'][0]['instanceId']
         output = self.cloud.get_console_output(context=self.context,
                                                instance_id=[instance_id])
-        self.assertEquals(b64decode(output['output']), 'FAKE CONSOLE OUTPUT')
+        self.assertEquals(b64decode(output['output']), 'FAKE CONSOLE?OUTPUT')
         # TODO(soren): We need this until we can stop polling in the rpc code
         #              for unit tests.
         greenthread.sleep(0.3)

=== modified file 'nova/virt/fake.py'
--- nova/virt/fake.py	2011-04-21 19:50:04 +0000
+++ nova/virt/fake.py	2011-05-05 03:53:04 +0000
@@ -367,7 +367,7 @@
         return [0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L]
 
     def get_console_output(self, instance):
-        return 'FAKE CONSOLE OUTPUT'
+        return 'FAKE CONSOLE\xffOUTPUT'
 
     def get_ajax_console(self, instance):
         return {'token': 'FAKETOKEN',

